[ 1.0.98][1.1.0] Crash when using ALSA

Reply

Re: [ 1.0.98][1.1.0] Crash when using ALSA

sutirk
Newbie

I was having the same problem in 1.0.98.78.gb45d2a6b until today, but inoticed there were no issues when running spotify as the superuser. I solved the problem by deleting the directories spotify and spotifyd under ~/.config/,the next timei opened spotify there were no segfaults, it just ask me for my password again

Re: [ 1.0.98][1.1.0] Crash when using ALSA

timokau
Casual Listener

Removing spotify directories from `~/.config` and `~/.cache` doesn't fix it for me.

Re: ALSA problem again causes crash of latest linux - 1.0.98

nggngg
Casual Listener

Yes, I mean that if you install apulse (PulseAudio emulation for ALSA) and then run spotify by launching the command "apulse spotify" then it works ok. I updated to version 1.1.5, and that workaround still works (and it still doesn't work without it)

Highlighted

Re: ALSA problem again causes crash of latest linux - 1.0.98

mcclungsr
Newbie

With 1.1.10, I am finally able to run spotify with local audio and without apulse or pulseaudio.

 

EDIT:  I was wrong.  It's using apulse via LD_LIBRARY_PATH... something Gentoo added to the /usr/bin/spotify script.

SUGGESTED POSTS